#Course initialization script
#sets basic course paramaters before the lighting is set.

set cwd [pwd]
tux_goto_data_dir
cd courses/themes/common

source tree_polyhedron.tcl
source scheisshaus_polyhedron.tcl

tux_load_texture fish herring_standard.png 0
tux_item_spec -name herring -diameter 1.0 -height 1.0 \
      -texture fish -colour {28 185 204} -above_ground 0.2

tux_load_texture fish2 herring_red.png 0
tux_item_spec -name herringred -diameter 1.0 -height 1.0 \
      -texture fish2 -colour {0 255 0} -above_ground 0.2 

tux_load_texture fish3 herring_green.png 0
tux_item_spec -name herringgreen -diameter 1.0 -height 1.0 \
      -texture fish3 -colour {255 170 0} -above_ground 0.2 

tux_load_texture star star.png 0
tux_item_spec -name star -diameter 1.0 -height 1.0 \
      -texture star -colour {188 79 105} -above_ground 0.2 -score 5

tux_load_texture sco sco.png 0
tux_item_spec -name sco -diameter 1.0 -height 2.0 \
      -texture sco -colour {192 192 0} -above_ground 0.2 -score -10

tux_load_texture shrub shrub.png 0
tux_tree_props -name tree3 -diameter 1.4 -height 1.0 \
      -texture shrub -colour {0 255 48} -polyhedron $tree_poly \
      -size_varies 0.5 

tux_load_texture tree tree.png 0
tux_tree_props -name tree1 -diameter 1.4 -height 2.5 \
     -texture tree -colour {255 255 255} -polyhedron $tree_poly \
      -size_varies 0.5 

tux_load_texture scheisshaus scheisshaus.png 0
tux_tree_props -name scheisshaus1 -diameter 1.0 -height 1.8 \
     -texture scheisshaus -colour {136 221 255} -polyhedron $scheisshaus_poly \
      -size_varies 0.5 



tux_load_texture xmastree tree_xmas.png 0
tux_tree_props -name tree4 -diameter 1.4 -height 2.5 \
      -texture xmastree -colour {160 160 160} -polyhedron $tree_poly \
      -size_varies 0.5 

tux_load_texture tree_barren tree_barren.png 0
tux_tree_props -name tree2 -diameter 1.4 -height 2.5 \
      -texture tree_barren -colour {255 96 0} -polyhedron $tree_poly \
      -size_varies 0.5 

tux_load_texture flag1 flag.png 0
tux_item_spec -name flag -diameter 1.0 -height 1.0 \
      -texture flag1 -colour {194 40 40} -nocollision

tux_load_texture flag2 flag2.png 0
tux_item_spec -name flag2 -diameter 1.0 -height 1.0 \
      -texture flag2 -colour {0 0 255} -nocollision

      
tux_load_texture finish finish.png 0
tux_item_spec -name finish -diameter 9.0 -height 6.0 \
		-texture finish -colour {255 255 0} -nocollision \
                -normal {0 0 1}

tux_load_texture start start.png 0
tux_item_spec -name start -diameter 9.0 -height 6.0 \
		-texture start -colour {128 128 0} -nocollision \
                -normal {0 0 1}

tux_item_spec -name float -nocollision -colour {255 128 255} -reset_point


tux_wind_velocity -velocity {90 10 10} -scale 1.0

source hud.tcl

if [file exists "$cwd/trees.rgb"] {
	tux_trees "$cwd/trees.rgb" 
}
if [file exists "$cwd/trees.png"] {
	tux_trees "$cwd/trees.png" 
}


#
# Introductory animation keyframe data
#
source tux_walk.tcl

#
# Lighting
#
set conditions [tux_get_race_conditions]
if { $conditions == "sunny" } {
    source sunny_light.tcl
} elseif { $conditions == "cloudy" } {
    source foggy_light.tcl
} elseif { $conditions == "night" } {
    source night_light.tcl
} elseif { $conditions == "evening" } {
    source evening_light.tcl
} 


#Load common terrains
source terrains.tcl

#Load terrain file
global tux_terrain_file
tux_load_terrain $tux_terrain_file

cd $cwd
