#Course initialization script
#sets basic course paramaters before the lighting is set.

set cwd [pwd]
tux_goto_data_dir
cd courses/themes/golf


source tree_polyhedron.tcl

tux_load_texture fish herring_standard.png 0
tux_item_spec -name herring -diameter 1.0 -height 1.0 \
      -texture fish -colour {28 185 204} -above_ground 0.2

tux_load_texture shrub shrub.png 0
tux_tree_props -name tree3 -diameter 1.4 -height 1.0 \
      -texture shrub -colour {0 255 48} -polyhedron $tree_poly \
      -size_varies 0.5 

tux_load_texture tree tree.png 0
tux_tree_props -name tree1 -diameter 1.4 -height 2.5 \
      -texture tree -colour {255 255 255} -polyhedron $tree_poly \
      -size_varies 0.5 

tux_load_texture tree_barren tree_barren.png 0
tux_tree_props -name tree2 -diameter 1.4 -height 2.5 \
      -texture tree_barren -colour {255 96 0} -polyhedron $tree_poly \
      -size_varies 0.5 


tux_load_texture flag1 flag.png 0
tux_item_spec -name flag -diameter 1.0 -height 1.0 \
      -texture flag1 -colour {194 40 40} -nocollision
      
tux_load_texture finish finish.png 0
tux_item_spec -name finish -diameter 9.0 -height 6.0 \
		-texture finish -colour {255 255 0} -nocollision \
                -normal {0 0 1}

tux_load_texture start start.png 0
tux_item_spec -name start -diameter 9.0 -height 6.0 \
		-texture start -colour {128 128 0} -nocollision \
                -normal {0 0 1}

tux_item_spec -name float -nocollision -colour {255 128 255} -reset_point

if [file exists "$cwd/trees.rgb"] {
	tux_trees "$cwd/trees.rgb" 
}
if [file exists "$cwd/trees.png"] {
	tux_trees "$cwd/trees.png" 
}


source hud.tcl



#
# Introductory animation keyframe data
#
source tux_walk.tcl

# Snow marks
tux_load_texture snow_head buttstart.png 1
tux_load_texture snow_mark buttprint.png 1
tux_load_texture snow_tail buttstop.png 1
tux_bind_texture snow_head snow_head
tux_bind_texture snow_mark snow_mark
tux_bind_texture snow_tail snow_tail

# Snow Particle
tux_load_texture snow_particle snowparticles.png 0
tux_bind_texture snow_particle snow_particle


# Standard terrains
tux_terrain_tex -name ice -texture ice.png \
	-colour {0 0 0} \
	-friction 0.22 \
	-compression 0.03 \
	-envmap_texture terrain_envmap \
	-sound ice_sound

tux_terrain_tex -name rock -texture rock.png \
	-colour {128 128 128} \
	-friction 0.9 \
	-compression 0.01 \
	-sound rock_sound

tux_terrain_tex -name snow -texture snow.png \
	-colour {255 255 255} \
	-friction 0.35 \
	-compression 0.11 \
	-particles snow_particle \
	-track_head snow_head \
	-track_mark snow_mark \
	-track_tail snow_tail \
	-sound snow_sound


#
# Lighting
#
set conditions [tux_get_race_conditions]
if { $conditions == "sunny" } {
    source sunny_light.tcl
} elseif { $conditions == "cloudy" } {
    source foggy_light.tcl
} elseif { $conditions == "night" } {
    source night_light.tcl
} else {
    source sunny_light.tcl
} 

#Load common terrains
#source ../common/terrains.tcl

global tux_terrain_file
tux_load_terrain $tux_terrain_file

cd $cwd
